Skip to main content
PATCH
Update a PostgreSQL service
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Update a Postgres service that belongs to the organization. WARNING: Changing the name also updates the host name and certificates for the service.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the Postgres service.

postgresId
string<uuid>
required

ID of the requested Postgres service.

Body

application/json
name
string

Name of the Postgres service. Alphanumerical string with whitespaces up to 50 characters.

Required string length: 1 - 50
size
enum<string>

The VM size for a Postgres service.

Available options:
c6gd.large,
c6gd.xlarge,
c6gd.2xlarge,
c6gd.4xlarge,
c6gd.8xlarge,
c6gd.16xlarge,
i7i.large,
i7i.xlarge,
i7i.2xlarge,
i7i.4xlarge,
i7i.8xlarge,
i7i.12xlarge,
i7i.16xlarge,
i7i.24xlarge,
i7ie.large,
i7ie.xlarge,
i7ie.2xlarge,
i7ie.3xlarge,
i7ie.6xlarge,
i7ie.12xlarge,
i7ie.18xlarge,
i7ie.24xlarge,
i8g.large,
i8g.xlarge,
i8g.2xlarge,
i8g.4xlarge,
i8g.8xlarge,
i8g.16xlarge,
i8g.24xlarge,
i8ge.large,
i8ge.xlarge,
i8ge.2xlarge,
i8ge.3xlarge,
i8ge.6xlarge,
i8ge.12xlarge,
i8ge.18xlarge,
i8ge.24xlarge,
m6gd.large,
m6gd.xlarge,
m6gd.2xlarge,
m6gd.4xlarge,
m6gd.8xlarge,
m6gd.16xlarge,
m6id.large,
m6id.xlarge,
m6id.2xlarge,
m6id.4xlarge,
m6id.8xlarge,
m6id.16xlarge,
m8gd.large,
m8gd.xlarge,
m8gd.2xlarge,
m8gd.4xlarge,
m8gd.8xlarge,
m8gd.16xlarge,
r6gd.medium,
r6gd.large,
r6gd.xlarge,
r6gd.2xlarge,
r6gd.4xlarge,
r6gd.8xlarge,
r6gd.12xlarge,
r6gd.16xlarge,
r6id.large,
r6id.xlarge,
r6id.2xlarge,
r6id.4xlarge,
r6id.8xlarge,
r6id.12xlarge,
r6id.16xlarge,
r6id.24xlarge,
r6id.32xlarge,
r8gd.medium,
r8gd.large,
r8gd.xlarge,
r8gd.2xlarge,
r8gd.4xlarge,
r8gd.8xlarge,
r8gd.12xlarge,
r8gd.16xlarge,
r8gd.24xlarge,
r8gd.48xlarge
haType
enum<string>

Type of high availability: “none” for no replication, “async” for asynchronous replication to a single standby, and “sync” for synchronous replication to two standbys.

Available options:
none,
async,
sync
tags
Postgres Tags · object[]

Tags associated with the Postgres service. Tag keys starting with “chc_” are reserved for internal use.

Maximum array length: 50

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 9, 2026